### Hierarchy

- IEmailProps
  - IConfirmFormProps

## Index

### Properties

- emailInputProps
- initialEmail
- onEmailChanged

## Properties

### Optional emailInputProps

emailInputProps: ICrossEditorProps | undefined

- Defined in types.ts:57

Optional props for the e-mail input. Typically used to change the `label` prop. See {@link ICrossEditorProps}

### Optional initialEmail

initialEmail: string | undefined

- Defined in types.ts:52

Optional initial value for the e-mail form

### onEmailChanged

onEmailChanged: function

- Defined in types.ts:48

Occurs when the user inputs e-mail

#### Type declaration

- - (email: string | undefined): void

  - #### Parameters

    - ##### email: string | undefined

    #### Returns void